%if 0%{?fedora}
%bcond_without  python3
%else
%bcond_with     python3
%endif

Name:       compose-utils
Version:    0.1.34
Release:        38.20191119gited30e63a%{?dist}
Summary:    Utilities for working with composes

License:    GPLv2
URL:        https://pagure.io/compose-utils
Source0:        compose-utils-ed30e63a.tar

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-productmd >= 1.1
BuildRequires:  python%{python3_pkgversion}-freezegun
BuildRequires:  python%{python3_pkgversion}-mock
BuildRequires:  python%{python3_pkgversion}-kobo
%if 0%{?fedora} >= 31
BuildRequires:  python%{python3_pkgversion}-kobo-rpmlib >= 0.10.0
%else
BuildRequires:  python%{python3_pkgversion}-kobo-rpmlib
%endif
BuildRequires:  python%{python3_pkgversion}-unittest2
BuildRequires:  python%{python3_pkgversion}-nose
Requires:       python3-%{name} = %{version}-%{release}

BuildArch:  noarch

%description
A set of tools for working with composes produced by pungi.


%package -n python%{python3_pkgversion}-%{name}
Summary:    Python 3 libraries supporting tools for working with composes
Requires:   python%{python3_pkgversion}-productmd >= 1.1
Requires:   python%{python3_pkgversion}-kobo
%if 0%{?fedora} >= 31
Requires:   python%{python3_pkgversion}-kobo-rpmlib >= 0.10.0
%else
Requires:   python%{python3_pkgversion}-kobo-rpmlib
%endif
Requires:   rsync
%{?python_provide:%python_provide python%{python3_pkgversion}-%{name}}

%description -n python%{python3_pkgversion}-%{name}
Python 3 libraries supporting tools for working with composes


%prep
%setup -q -n %{name}


%build
%py3_build


%install
%py3_install


%check
%{__python3} setup.py test


%files
%license COPYING GPL
%doc AUTHORS README.rst
%{_bindir}/*
%{_mandir}/man1/*

%files -n python%{python3_pkgversion}-%{name}
%license COPYING GPL
%doc AUTHORS README.rst
%{python3_sitelib}/*

%changelog
* Tue Nov 19 2019 lsedlar <lubomir.sedlar@gmail.com> - 0.1.34-38.20191119gited30e63a
- Update to git: ed30e63a

* Tue Nov 05 2019 lsedlar <lubomir.sedlar@gmail.com> - 0.1.34-37.20191105git34b94ea6
- Update to git: 34b94ea6

* Tue Oct 08 2019 lsedlar <lubomir.sedlar@gmail.com> - 0.1.34-36.20191008gitd71b13fc
- Update to git: d71b13fc

* Fri Oct 04 2019 lsedlar <lubomir.sedlar@gmail.com> - 0.1.34-35.20191004git9a46acb2
- Update to git: 9a46acb2

* Fri Sep 06 2019 lsedlar <lubomir.sedlar@gmail.com> - 0.1.34-34.20190906git117bf04f
- Update to git: 117bf04f

* Fri Sep 06 2019 lsedlar <lubomir.sedlar@gmail.com> - 0.1.34-33.20190906gitf55be30e
- Update to git: f55be30e

* Thu Sep 05 2019 lsedlar <lubomir.sedlar@gmail.com> - 0.1.34-32.20190905gitd2483b84
- Update to git: d2483b84

* Thu Sep 05 2019 lsedlar <lubomir.sedlar@gmail.com> - 0.1.34-31.20190905git5cfd0c8c
- Update to git: 5cfd0c8c

* Thu Sep 05 2019 lsedlar <lubomir.sedlar@gmail.com> - 0.1.23-30.20190905git5cfd0c8c
- Update to git: 5cfd0c8c

* Thu Jul 18 2019 lsedlar <lubomir.sedlar@gmail.com> - 0.1.23-29.20190718git7009caca
- Update to git: 7009caca

* Thu Jul 18 2019 lsedlar <lubomir.sedlar@gmail.com> - 0.1.23-28.20190718gitf9c0409a
- Update to git: f9c0409a

* Thu Jul 18 2019 lsedlar <lubomir.sedlar@gmail.com> - 0.1.23-27.20190718git41e37c12
- Update to git: 41e37c12

* Fri Jun 07 2019 lsedlar <lubomir.sedlar@gmail.com> - 0.1.23-26.20190607git5fd55219
- Update to git: 5fd55219

* Fri Jun 07 2019 lsedlar <lubomir.sedlar@gmail.com> - 0.1.23-25.20190607git86c951c4
- Update to git: 86c951c4

* Thu Jun 06 2019 lsedlar <lubomir.sedlar@gmail.com> - 0.1.23-24.20190606git12956f57
- Update to git: 12956f57

* Tue Jun 04 2019 lsedlar <lubomir.sedlar@gmail.com> - 0.1.23-23.20190604gitb767f641
- Update to git: b767f641

* Thu Apr 04 2019 lsedlar <lubomir.sedlar@gmail.com> - 0.1.23-22.20190404gitec75483e
- Update to git: ec75483e

* Thu Apr 04 2019 lsedlar <lubomir.sedlar@gmail.com> - 0.1.23-21.20190404git3ec476ea
- Update to git: 3ec476ea

* Wed Mar 20 2019 lsedlar <lubomir.sedlar@gmail.com> - 0.1.23-20.20190320gitf8bffac5
- Update to git: f8bffac5

* Mon Mar 04 2019 lsedlar <lubomir.sedlar@gmail.com> - 0.1.23-19.20190304git8a89b8da
- Update to git: 8a89b8da

* Thu Jan 31 2019 lsedlar <lubomir.sedlar@gmail.com> - 0.1.23-18.20190131git95790c22
- Update to git: 95790c22

* Tue Jan 29 2019 lsedlar <lubomir.sedlar@gmail.com> - 0.1.23-17.20190129gitbc1ff1dc
- Update to git: bc1ff1dc

* Wed Jan 23 2019 lsedlar <lubomir.sedlar@gmail.com> - 0.1.23-16.20190123git923b3921
- Update to git: 923b3921

* Wed Jan 23 2019 lsedlar <lubomir.sedlar@gmail.com> - 0.1.23-15.20190123git2c95ace3
- Update to git: 2c95ace3

* Tue Jan 22 2019 lsedlar <lubomir.sedlar@gmail.com> - 0.1.23-14.20190122gitb4a3b9e2
- Update to git: b4a3b9e2

* Mon Oct 15 2018 lsedlar <lubomir.sedlar@gmail.com> - 0.1.23-13.20181015gitc222c772
- Update to git: c222c772

* Mon Oct 15 2018 lsedlar <lubomir.sedlar@gmail.com> - 0.1.23-12.20181015gitfd087527
- Update to git: fd087527

* Tue Aug 28 2018 lsedlar <lubomir.sedlar@gmail.com> - 0.1.23-11.20180828git97e7596f
- Update to git: 97e7596f

* Mon Aug 20 2018 lsedlar <lubomir.sedlar@gmail.com> - 0.1.23-10.20180820git3767568a
- Update to git: 3767568a

* Wed Aug 15 2018 lsedlar <lubomir.sedlar@gmail.com> - 0.1.23-9.20180815git91c71e8e
- Update to git: 91c71e8e

* Tue Aug 14 2018 lsedlar <lubomir.sedlar@gmail.com> - 0.1.23-8.20180814git96923fe1
- Update to git: 96923fe1

* Mon Aug 13 2018 lsedlar <lubomir.sedlar@gmail.com> - 0.1.23-7.20180813git820ce1ed
- Update to git: 820ce1ed

* Wed Jul 11 2018 lsedlar <lubomir.sedlar@gmail.com> - 0.1.23-6.20180711gitb0109402
- Update to git: b0109402

* Wed Jul 11 2018 lsedlar <lubomir.sedlar@gmail.com> - 0.1.23-5.20180711gitb0109402
- Update to git: b0109402

* Wed Jul 11 2018 lsedlar <lubomir.sedlar@gmail.com> - 0.1.23-4.20180711gitb0109402
- Update to git: b0109402

* Wed Jul 11 2018 lsedlar <lubomir.sedlar@gmail.com> - 0.1.23-3.20180711gitb0109402
- Update to git: b0109402

* Wed Jul 11 2018 lsedlar <lubomir.sedlar@gmail.com> - 0.1.23-2.20180711gitb0109402
- Update to git: b0109402

* Wed Jul 11 2018 lsedlar <lubomir.sedlar@gmail.com> - 0.1.23-1.20180711gitb0109402
- Update to git: b0109402

* Wed Jul 11 2018 lsedlar <lubomir.sedlar@gmail.com> - 0.1.22-8.20180711git3584ad9f
- Update to git: 3584ad9f

* Wed Jul 11 2018 lsedlar <lubomir.sedlar@gmail.com> - 0.1.22-7.20180711git3584ad9f
- Update to git: 3584ad9f

* Wed Jul 11 2018 lsedlar <lubomir.sedlar@gmail.com> - 0.1.22-6.20180711git3584ad9f
- Update to git: 3584ad9f

* Wed Jul 11 2018 lsedlar <lubomir.sedlar@gmail.com> - 0.1.22-5.20180711git3584ad9f
- Update to git: 3584ad9f

* Thu Jun 21 2018 lsedlar <lubomir.sedlar@gmail.com> - 0.1.22-4.20180621gitd582f8d6
- Update to git: d582f8d6

* Thu Jun 21 2018 lsedlar <lubomir.sedlar@gmail.com> - 0.1.20-3.20180621gitd582f8d6
- Update to git: d582f8d6

* Mon Jun 18 2018 lsedlar <lubomir.sedlar@gmail.com> - 0.1.20-2.20180618git3eeb541d
- Update to git: 3eeb541d

* Mon Jun 04 2018 lsedlar <lubomir.sedlar@gmail.com> - 0.1.20-1.20180604git07621e8f
- Update to git: 07621e8f

* Mon Jun 04 2018 lsedlar <lubomir.sedlar@gmail.com> - 0.1.19-3.20180604git07621e8f
- Update to git: 07621e8f

* Wed May 16 2018 lsedlar <lubomir.sedlar@gmail.com> - 0.1.19-2.20180516git0ee28b58
- Update to git: 0ee28b58

* Mon Oct 23 2017 lsedlar <lubomir.sedlar@gmail.com> - 0.1.17-3.20171023git3a0ecf00
- Update to git: 3a0ecf00

* Mon Oct 16 2017 lsedlar <lubomir.sedlar@gmail.com> - 0.1.17-2.20171016gita3d91176
- Update to git: a3d91176

* Mon Oct 02 2017 lsedlar <lubomir.sedlar@gmail.com> - 0.1.17-1.20171002git1483d0b1
- Update to git: 1483d0b1

* Mon Oct 02 2017 lsedlar <lubomir.sedlar@gmail.com> - 0.1.16-2.20171002git1483d0b1
- Update to git: 1483d0b1

* Wed Sep 20 2017 lsedlar <lubomir.sedlar@gmail.com> - 0.1.16-1.20170920gitf519bb0f
- Update to git: f519bb0f

* Wed Sep 20 2017 lsedlar <lubomir.sedlar@gmail.com> - 0.1.15-7.20170920gitf519bb0f
- Update to git: f519bb0f

* Mon Sep 18 2017 lsedlar <lubomir.sedlar@gmail.com> - 0.1.15-6.20170918git5f4c83eb
- Update to git: 5f4c83eb

* Tue Aug 15 2017 lsedlar <lubomir.sedlar@gmail.com> - 0.1.15-5.20170815gita1154fba
- Update to git: a1154fba

* Wed Aug 02 2017 lsedlar <lubomir.sedlar@gmail.com> - 0.1.15-4.20170802git598e6644
- Update to git: 598e6644

* Fri Jul 21 2017 lsedlar <lubomir.sedlar@gmail.com> - 0.1.15-3.20170721git4a370ac1
- Update to git: 4a370ac1

* Fri Jul 21 2017 lsedlar <lubomir.sedlar@gmail.com> - 0.1.15-2.20170721git0d6a44a4
- Update to git: 0d6a44a4

* Wed Jul 19 2017 lsedlar <lubomir.sedlar@gmail.com> - 0.1.15-1.20170719gitd4ecc7ef
- Update to git: d4ecc7ef

* Thu Jul 13 2017 lsedlar <lubomir.sedlar@gmail.com> - 0.1.14-5.20170713git6c284f8e
- Update to git: 6c284f8e

* Thu Jul 13 2017 lsedlar <lubomir.sedlar@gmail.com> - 0.1.14-4.20170713git6c284f8e
- Update to git: 6c284f8e

* Wed Jun 21 2017 lsedlar <lubomir.sedlar@gmail.com> - 0.1.14-3.20170621git25e260d3
- Update to git: 25e260d3

* Wed Jun 14 2017 lsedlar <lubomir.sedlar@gmail.com> - 0.1.14-2.20170614git25e260d3
- Update to git: 25e260d3

* Wed May 31 2017 lsedlar <lubomir.sedlar@gmail.com> - 0.1.14-1.20170531gitaa755066
- Update to git: aa755066

* Tue Apr 25 2017 lsedlar <lubomir.sedlar@gmail.com> - 0.1.12-2.20170425git5dfebff0
- Update to git: 5dfebff0

* Mon Mar 13 2017 lsedlar <lubomir.sedlar@gmail.com> - 0.1.12-1.20170313git89b92c89
- Update to git: 89b92c89

* Tue Mar 08 2017 Lubomír Sedlář <lsedlar@redhat.com> - 0.1.12-1
- Fix partial copy to non-existing directory
- Add compose-create-next-dir utility (qwan)

* Wed Mar 08 2017 lsedlar <lubomir.sedlar@gmail.com> - 0.1.10-6.20170308git89b92c89
- Update to git: 89b92c89

* Fri Feb 17 2017 lsedlar <lubomir.sedlar@gmail.com> - 0.1.10-5.20170217gitd2a8f9e5
- Update to git: d2a8f9e5

* Tue Feb 14 2017 lsedlar <lubomir.sedlar@gmail.com> - 0.1.10-4.20170214git53df522f
- Update to git: 53df522f

* Mon Nov 28 2016 lsedlar <lubomir.sedlar@gmail.com> - 0.1.10-3.20161128gite5a11059
- Update to git: e5a11059

* Sat Nov 26 2016 lsedlar <lubomir.sedlar@gmail.com> - 0.1.10-2.20161126gite5a11059
- Update to git: e5a11059

* Wed Oct 26 2016 lsedlar <lubomir.sedlar@gmail.com> - 0.1.10-1.20161026gitd4d37d1d
- Update to git: d4d37d1d

* Fri Sep 16 2016 lsedlar <lubomir.sedlar@gmail.com> - 0.1.9-2.20160916git85a27a9a
- Update to git: 85a27a9a

* Fri Sep 16 2016 Lubomír Sedlář <lsedlar@redhat.com> - 0.1.9-1
- New upstream release

* Mon Aug 29 2016 Lubomír Sedlář <lsedlar@redhat.com> - 0.1.8-1
- New upstream release

* Tue Aug 09 2016 Lubomír Sedlář <lsedlar@redhat.com> - 0.1.7-1
- Add a script to copy part of compose
- Add a script to check packages moved between variants

* Thu Aug 04 2016 lsedlar <lubomir.sedlar@gmail.com> - 0.1.6-2.20160804git5ffea552
- Update to git: 5ffea552

* Mon May 30 2016 Lubomír Sedlář <lsedlar@redhat.com> - 0.1.6-1
- Fix getting SRPM summary

* Tue Apr 19 2016 Lubomír Sedlář <lsedlar@redhat.com> - 0.1.5-1
- Add utility for listing composes
- Display better error messages when changelog fails to find metadata

* Wed Apr 13 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.1.4-1
- Add image diff to changelog (Adam Williamson)

* Wed Mar 30 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.1.3-1
- Do not crash changelog when composeinfo.json is missing
- Run tests when building package

* Tue Mar 15 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.1.2-1
- Correctly handle epochs

* Thu Feb 25 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.1.1-1
- Fix wrong address in license

* Thu Feb 25 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.1.0-1
- Initial packaging
